VObject (gCube Loggedin Portlet 2.6.0-3.8.0 API)
Date: 2015-08-07

org.gcube.portlets.user.gcubeloggedin.shared

## Class VObject

- java.lang.Object
- - org.gcube.portlets.user.gcubeloggedin.shared.VObject

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    VOClient, VREClient

      public class VObject
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VObject.UserBelongingClient`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VObject()`
    `VObject(String name, String groupName, String description, String imageURL, String friendlyURL, VObject.UserBelongingClient userBelonging, boolean mandatory, boolean uponRequest)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getFriendlyURL()`
    `String` | `getGroupName()`
    `String` | `getImageURL()`
    `String` | `getName()`
    `VObject.UserBelongingClient` | `getUserBelonging()`
    `boolean` | `isMandatory()`
    `boolean` | `isUponRequest()`
    `void` | `setDescription(String description)`
    `void` | `setFriendlyURL(String friendlyURL)`
    `void` | `setGroupName(String groupName)`
    `void` | `setImageURL(String imageURL)`
    `void` | `setMandatory(boolean mandatory)`
    `void` | `setName(String name)`
    `void` | `setUponRequest(boolean uponRequest)`
    `void` | `setUserBelonging(VObject.UserBelongingClient userBelonging)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VObject

          public VObject()

    - #### VObject

          public VObject(String name,
                 String groupName,
                 String description,
                 String imageURL,
                 String friendlyURL,
                 VObject.UserBelongingClient userBelonging,
                 boolean mandatory,
                 boolean uponRequest)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getImageURL

          public String getImageURL()

    - #### setImageURL

          public void setImageURL(String imageURL)

    - #### getUserBelonging

          public VObject.UserBelongingClient getUserBelonging()

    - #### setUserBelonging

          public void setUserBelonging(VObject.UserBelongingClient userBelonging)

    - #### getGroupName

          public String getGroupName()

    - #### setGroupName

          public void setGroupName(String groupName)

    - #### getFriendlyURL

          public String getFriendlyURL()

    - #### setFriendlyURL

          public void setFriendlyURL(String friendlyURL)

    - #### isMandatory

          public boolean isMandatory()

    - #### setMandatory

          public void setMandatory(boolean mandatory)

    - #### isUponRequest

          public boolean isUponRequest()

    - #### setUponRequest

          public void setUponRequest(boolean uponRequest)

Copyright © 2015. All Rights Reserved.